Package org.eclipse.update.configurator

# Interface IPlatformConfigurationFactory

@Deprecated public interface IPlatformConfigurationFactory
Deprecated.
The org.eclipse.update component has been replaced by Equinox p2. This API will be deleted in a future release. See bug 311590 for details.
Factory for creating platform configurations.

Note: This class/interface is part of an interim API that is still under development and expected to change significantly before reaching stability. It is being made available at this early stage to solicit feedback from pioneering adopters on the understanding that any code that uses this API will almost certainly be broken (repeatedly) as the API evolves.

## Method Summary

Modifier and Type
Method
Description
`IPlatformConfiguration`
`getCurrentPlatformConfiguration()`
Deprecated.
Returns the current platform configuration.
`IPlatformConfiguration`
`getPlatformConfiguration(URL url)`
Deprecated.
Returns a platform configuration object, optionally initialized with previously saved configuration information.
`IPlatformConfiguration`
`getPlatformConfiguration(URL url, URL loc)`
Deprecated.
Returns a platform configuration object, optionally initialized with previously saved configuration information.

## Method Details

### getCurrentPlatformConfiguration

IPlatformConfiguration getCurrentPlatformConfiguration()
Deprecated.
Returns the current platform configuration.

Returns:
  platform configuration used in current instance of platform

### getPlatformConfiguration

IPlatformConfiguration getPlatformConfiguration(URL url) throws IOException
Deprecated.
Returns a platform configuration object, optionally initialized with previously saved configuration information.

Parameters:
  `url` - location of previously save configuration information. If `null` is specified, an empty configuration object is returned
Returns:
  platform configuration used in current instance of platform
Throws:
  `IOException`

### getPlatformConfiguration

IPlatformConfiguration getPlatformConfiguration(URL url, URL loc) throws IOException
Deprecated.
Returns a platform configuration object, optionally initialized with previously saved configuration information.

Parameters:
  `url` - location of previously save configuration information. If `null` is specified, an empty configuration object is returned
  `loc` - location of the platform installation. Used to resolve entries in the saved location
Returns:
  platform configuration used in current instance of platform
Throws:
  `IOException`